<div id="addComponentGroup">
    <form>
        <h1>Add a New Component Group</h1>
        <hr>
        <div class="form-group">
            <label>Select your component group description file</label>
            <input type="file" ng-file-select="onProjectDescriptionFileSelected(file)">
        </div>
        <div class="form-group" ng-if="projectDescriptionHumanReadable">
            <pre>
                <div ng-bind-html="projectDescriptionHumanReadable"></div>
            </pre>
        </div>
        <div class="form-group">
            <label>Select your component group Jar file</label>
            <div>
                <button ng-click="addJar()">Upload Jar</button>
            </div>
            <span ng-show="upload.progress && upload.progress != 100">{{upload.progress}}%</span>
            <span ng-show="upload.progress && upload.progress == 100">Upload Completed</span>
        </div>
        <div class="form-group">
            <button ng-click="addComponentGroup()">Add Component Group</button>
        </div>
    </form>
</div>